%ifarch x86_64
%bcond_without check
%endif

%global goipath         github.com/boltdb/bolt
Version:                1.3.1

%gometa

%global common_description %{expand:
Bolt is a pure Go key/value store inspired by Howard Chu's LMDB project. The
goal of the project is to provide a simple, fast, and reliable database for
projects that don't require a full database server such as Postgres or MySQL.

Since Bolt is meant to be used as such a low-level piece of functionality,
simplicity is key. The API will be small and only focus on getting values and
setting values. That's it.}

%global golicenses      LICENSE
%global godocs          README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:    1%{?dist}
Summary:        Embedded key/value database for Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock
Patch0:         0001-Fix-flag.Parse-in-init.patch

%description
%{common_description}

%package -n boltdb
Summary:       %{summary}

%description -n boltdb
%{common_description}

This package contains the bolt binary.

%gopkg

%prep
%goprep
%patch0 -p1
cp %{S:1} %{S:2} .

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files -n boltdb
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-1
- initial build
